Summary:       VST plug-ins host
Name:          dssi-vst
Version:       0.9.2
Release:       4%{?dist}
License:       GPLv2
Group:         Applications/Multimedia
URL:           http://breakfastquay.com/dssi-vst/
Source0:       http://code.breakfastquay.com/attachments/download/10/%{name}-%{version}.tar.bz2
# wine-g++ on wine-devel-1.1.18 (Fedora 11) creates executables with .exe suffix:
Patch1:        %{name}-wine1118.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: %{ix86} x86_64

BuildRequires: dssi-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: ladspa-devel
BuildRequires: liblo-devel
# The -wine subpackage will only be built on ix86
%ifarch %{ix86}
BuildRequires: wine-devel
%endif

Requires:      dssi
Requires:      ladspa

# Both packages depend on each other
Requires:      %{name}-wine = %{version}-%{release}

%description
dssi-vst is an adapter that allows users of Linux audio software to take VST
and VSTi audio effects and instrument plug-ins compiled for Windows, and load
them into native LADSPA or DSSI plug-in hosts. Plug-ins run at full speed for
most audio processing, although their user interfaces are slower because of the
Windows emulation.

This package contains the DSSI host for the plug-ins.

%ifarch %{ix86}
%package wine
Summary:       VST plug-ins wrapper
Group:         Applications/Multimedia
Requires:      %{name} = %{version}-%{release}

%description wine
dssi-vst is an adapter that allows users of Linux audio software to take VST
and VSTi audio effects and instrument plug-ins compiled for Windows, and load
them into native LADSPA or DSSI plug-in hosts. Plug-ins run at full speed for
most audio processing, although their user interfaces are slower because of the
Windows emulation.

This package contains the plug-in wrapper that works through wine.
%endif

%prep
%setup -q
%if 0%{fedora} >= 11
%patch1 -p1 -b .wine1118
%endif


%build
# Parallel build fails sometimes:
%ifarch %{ix86}
make CXXFLAGS="%{optflags} -fno-omit-frame-pointer -Ivestige -fPIC"
%else
# Build non-wine parts only on x86_64:
make dssi-vst.so vsthost dssi-vst_gui CXXFLAGS="%{optflags} -Ivestige -fPIC"
%endif


%install
rm -rf %{buildroot}
%ifarch %{ix86}
make  DSSIDIR=%{buildroot}%{_libdir}/dssi   \
    LADSPADIR=%{buildroot}%{_libdir}/ladspa \
       BINDIR=%{buildroot}%{_bindir}        \
    install
# No need for duplicate files. We'll create a symlink instead.
rm -f %{buildroot}%{_libdir}/ladspa/*
%else
mkdir -p %{buildroot}%{_libdir}/dssi/%{name} \
         %{buildroot}%{_bindir}              \
         %{buildroot}%{_libdir}/ladspa
install -pm 755 vsthost %{buildroot}%{_bindir}
install -pm 755 %{name}.so %{buildroot}%{_libdir}/dssi/
install -pm 755 %{name}_gui %{buildroot}%{_libdir}/dssi/%{name}/
%endif
ln -s ../dssi/%{name}.so %{buildroot}%{_libdir}/ladspa

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/vsthost
%{_libdir}/dssi/%{name}.so
%dir %{_libdir}/dssi/%{name}/
%{_libdir}/dssi/%{name}/%{name}_gui
%{_libdir}/ladspa/*

%ifarch %{ix86}
%files wine
%defattr(-,root,root,-)
%dir %{_libdir}/dssi/
%dir %{_libdir}/dssi/%{name}/
%{_libdir}/dssi/%{name}/%{name}-scanner*
%{_libdir}/dssi/%{name}/%{name}-server*
%endif

%changelog
* Sat Jun 18 2011 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.2-4
- Rebuild with -fno-omit-frame-pointer RHBZ#704674

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.2-2
- Rebuild against new liblo

* Sun May 09 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.2-1
- Update to 0.9.2
- Drop upstreamed patches

* Sat Feb 13 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8-6
- Disable parallel build
- Correct the glibc212 patch

* Sat Feb 13 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8-5
- Fix build failure against glibc-2.12 RHBZ#564821
- Fix DSO linking failure

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun  2 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8-3
- Fix wine1118 patch

* Thu Apr 30 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8-2
- Make a ix86 only -wine subpackage

* Wed Mar 25 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8-1
- Update to 0.8. SPEC file is courtesy of PlanetCCRMA.

* Tue Jul  8 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gcc43 patch for building on fc9

* Fri May 23 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.7-1
- updated to 0.7, added LADSPADIR to make install

* Fri Dec 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.5-1
- initial build.
